<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/army', army?.id]">{{ army?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Donations.massDonate' | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>

  <nz-page-header-extra>
    <button nz-button nzType="primary"  nzShape="round" [disabled]="
      army.membersSelected === 0 ||
      (currenciesToDonate.length == 0 && itemsToDonate.length == 0) || army.formValid === false
    " [nzLoading]="isLoading" nz-popconfirm
      nzPopconfirmTitle="Are you sure you want to donate this package to selected members?" (nzOnConfirm)="donate()">
      {{ 'Common.Buttons.Donate' | translate }}
    </button>
  </nz-page-header-extra>
</nz-page-header>

<div nz-row [nzGutter]="12">
  <div nz-col nzXs="24" nzSm="24" nzLg="24" nzXl="12">
    <nz-card [nzTitle]="'Donations.Inventory' | translate" nzSize="small" style="margin-bottom: 10px;" [nzLoading]="isLoading">
      <ul nz-list [nzDataSource]="inventory" nzBordered nzSize="small" nzNoResult="No items">
        <li nz-list-item *ngFor="let item of inventory" nzNoFlex>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              <nz-input-group nzSearch [nzAddOnAfter]="suffixButton">
                <nz-input-number *ngIf="item.amount" placeholder="Amount" nzMin="1" [nzMax]="item.amount" [nzStep]="1"
                  [(ngModel)]="item.providedAmount"></nz-input-number>
              </nz-input-group>
              <ng-template #suffixButton>
                <button nz-button nzType="primary" nzShape="round" nzSearch (click)="addItem(item)" [disabled]="!item.providedAmount">
                  <i class="fas fa-plus"></i>
                </button>
              </ng-template>
            </nz-list-item-action>
          </ul>
          <img src="{{ item.icon }}" width="30" height="30" style="margin-right: 5px" />
          {{ "Economy." + item.name | translate }} <span style="color: gold" innerHtml="{{ item?.quality | q }}"></span>
          ({{ 'Donations.massDonate' | translate }}: {{ item.amount }})
          <nz-tag *ngIf="item.totalAmountRequired > 0 && item.totalAmountRequired <= item.amount" [nzColor]="'green'">
            {{ 'Donations.Required' | translate }}: {{ item.amount }}: {{
            item.totalAmountRequired }}
          </nz-tag>
          <nz-tag *ngIf="item.totalAmountRequired > 0 && item.totalAmountRequired > item.amount" [nzColor]="'red'">
            {{ 'Donations.Required' | translate }}: {{
            item.totalAmountRequired }}
          </nz-tag>
        </li>
      </ul>
    </nz-card>
  </div>
  <div nz-col nzXs="24" nzSm="24" nzLg="24" nzXl="12">
    <nz-card [nzTitle]="'Donations.Currencies' | translate" nzSize="small" style="width: 100%; margin-bottom: 10px;" [nzLoading]="isLoading">
      <ul nz-list [nzDataSource]="currencies" nzBordered nzSize="small" nzNoResult="No funds">
        <li nz-list-item *ngFor="let item of currencies" nzNoFlex>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              <nz-input-group nzSearch [nzAddOnAfter]="suffixButton">
                <nz-input-number *ngIf="item.amount" [placeholder]="'Donations.Amount' | translate" nzMin="1" [nzMax]="item.amount"
                  style="min-width: 150px" [(ngModel)]="item.providedAmount"></nz-input-number>
              </nz-input-group>
              <ng-template #suffixButton>
                <button nz-button nzType="primary" nzShape="round" nzSearch (click)="addCurrency(item)"
                  [disabled]="!item.providedAmount">
                  <i class="fas fa-plus"></i>
                </button>
              </ng-template>
            </nz-list-item-action>
          </ul>
          <img src="{{ item.icon }}" width="30" height="30" /> {{ item.amount }} {{ item.name | translate }}
          <nz-tag *ngIf="item.totalAmountRequired > 0 && item.totalAmountRequired <= item.amount" [nzColor]="'green'">
            {{ 'Donations.Required' | translate }}: {{ item.totalAmountRequired }}
          </nz-tag>
          <nz-tag *ngIf="item.totalAmountRequired > 0 && item.totalAmountRequired > item.amount" [nzColor]="'red'">
            {{ 'Donations.Required' | translate }}: {{ item.totalAmountRequired }}
          </nz-tag>
        </li>
      </ul>
    </nz-card>
  </div>
</div>

<div nz-row [nzGutter]="12" *ngIf="itemsToDonate.length > 0 || currenciesToDonate.length > 0"
  style="margin-bottom: 10px;">
  <div nz-col nzXs="24">
    <nz-card [nzTitle]="'Donations.packageArmyMembers' | translate" nzSize="small">
      <div nz-row [nzGutter]="6">
        <div nz-col nzXs="12" nzSm="12" nzMd="6" nzXl="4" *ngFor="let item of itemsToDonate; let i = index">
          <nz-card style="text-align: center; margin-bottom: 5px">
            <img nz-tooltip nzTooltipTitle="{{ item?.name | translate }}" src="{{ item?.icon }}" width="50"
              height="50" />
            <nz-divider></nz-divider>
            <div style="display: flex; justify-content: center; width: 100%">
              <span style="margin-top: 5px">
                <nz-tag nzColor="default">
                  {{ item?.amountRequired }}
                </nz-tag>
                <nz-tag nzColor="default">
                  <span style="color: gold" innerHtml="{{ item?.quality | q }}"></span>
                </nz-tag>
                <button nz-button nz-tooltip [nzTooltipTitle]="'Donations.removePackage' | translate" (click)="deleteFromSelected(i, item)"
                  nzSize="small">
                  <i nz-icon nzType="delete" nzTheme="outline" style="color: red;"></i>
                </button>
              </span>
            </div>
          </nz-card>
        </div>
        <div nz-col nzXs="12" nzSm="12" nzMd="6" nzXl="4" *ngFor="let item of currenciesToDonate; let i = index">
          <nz-card style="text-align: center; margin-bottom: 5px">
            <img nz-tooltip nzTooltipTitle="{{ item?.name | translate }}" src="{{ item?.icon }}" width="50"
              height="50" />
            <nz-divider></nz-divider>
            <div style="display: flex; justify-content: center; width: 100%">
              <span style="margin-top: 5px">
                <nz-tag nzColor="default">
                  {{ item?.amountRequired }}
                </nz-tag>
                <button nz-button nz-tooltip nzShape="round" [nzTooltipTitle]="'Donations.removePackage' | translate" (click)="deleteFromSelected(i, item)"
                  nzSize="small">
                  <i nz-icon nzType="delete" nzTheme="outline" style="color: red;"></i>
                </button>
              </span>
            </div>
          </nz-card>
        </div>
      </div>
    </nz-card>
  </div>
</div>

<nz-card [nzTitle]="membersSelectedCount" nzSize="small" [nzLoading]="isLoading" style="margin-bottom: 10px;">
  <ng-template #membersSelectedCount>
    <!-- Army members ({{ army.membersSelected }} selected) --> <span [innerHtml]="Donations.armyMembersSelected | translate"></span>
  </ng-template>
  <ul nz-list [nzDataSource]="army.members" nzBordered nzSize="small" nzNoResult="Empty" [nzLoading]="isLoading">
    <li nz-list-item *ngFor="let member of army.members" nzNoFlex>
      <ul nz-list-item-actions>
        <nz-list-item-action>
          <div style="zoom: 1.3; padding-top: 1px">
            <label nz-checkbox [ngModel]="member.isChecked" (ngModelChange)="selectMember(member.id)"></label>
          </div>
        </nz-list-item-action>
      </ul>
      <nz-avatar [nzIcon]="'user'" nzSize="32" [nzSrc]="member.citizen.avatar" nzShape="square"
        style="margin-right: 10px"></nz-avatar>
      <a [routerLink]="['/citizen', member.citizen.id]">{{ member.citizen.name }}</a>
    </li>
  </ul>
</nz-card>